# Generated by Django 2.2.7 on 2020-12-28 16:21

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Artikel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('judul_artikel', models.CharField(max_length=50)),
                ('isi_artikel', models.CharField(max_length=500)),
                ('tag_artikel', models.CharField(max_length=50)),
                ('verifikasi_artikel', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Donasi',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_hewan', models.CharField(max_length=50)),
                ('jenis_hewan', models.CharField(max_length=50)),
                ('jenis_kelamin_hewan', models.CharField(choices=[('Jantan', 'Jantan'), ('Betina', 'Betina')], max_length=50)),
                ('usia_hewan', models.CharField(max_length=50)),
                ('domisili_hewan', models.CharField(max_length=50)),
                ('keterangan', models.CharField(default='', max_length=500)),
                ('kategori', models.CharField(choices=[('Kucing', 'Kucing'), ('Anjing', 'Anjing'), ('Kelinci', 'Kelinci'), ('Burung', 'Burung'), ('Ikan', 'Ikan'), ('Hewan Pengerat', 'Pengerat'), ('Unggas', 'Unggas'), ('Reptil', 'Reptil'), ('Lainnya', 'Lainnya')], max_length=50)),
                ('kondisi_kesehatan', models.CharField(max_length=500)),
                ('lokasi_perawatan', models.CharField(max_length=100)),
                ('biaya_perawatan', models.CharField(default='', max_length=50)),
                ('verifikasi', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Forum',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_adopt', models.CharField(default='', max_length=50)),
                ('judul_forum', models.CharField(max_length=50)),
                ('isi_forum', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='Hewan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_hewan', models.CharField(max_length=50)),
                ('jenis_hewan', models.CharField(max_length=50)),
                ('jenis_kelamin_hewan', models.CharField(choices=[('Jantan', 'Jantan'), ('Betina', 'Betina')], max_length=50)),
                ('usia_hewan', models.CharField(max_length=50)),
                ('domisili_hewan', models.CharField(max_length=50)),
                ('keterangan', models.CharField(default='', max_length=500)),
                ('kategori', models.CharField(choices=[('Kucing', 'Kucing'), ('Anjing', 'Anjing'), ('Kelinci', 'Kelinci'), ('Burung', 'Burung'), ('Ikan', 'Ikan'), ('Hewan Pengerat', 'Pengerat'), ('Unggas', 'Unggas'), ('Reptil', 'Reptil'), ('Lainnya', 'Lainnya')], max_length=50)),
                ('kondisi_fisik_hewan', models.CharField(max_length=500)),
                ('kondisi_psikis_hewan', models.CharField(max_length=500)),
                ('mahar_adopsi', models.CharField(default='', max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='HistoryChat',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pengirim', models.CharField(default='', max_length=500)),
                ('penerima', models.CharField(default='', max_length=500)),
                ('datetimep', models.DateTimeField(auto_now=True)),
                ('pesan', models.CharField(max_length=999)),
            ],
        ),
        migrations.CreateModel(
            name='Pendonasian',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_donasi', models.CharField(default='', max_length=50)),
                ('nominal_donasi', models.CharField(max_length=50)),
                ('metode_donasi', models.CharField(choices=[('gopay', 'Gopay'), ('jenius', 'Jenius'), ('linkaja', 'Linkaja'), ('ovo', 'OVO'), ('bca', 'BCA'), ('bni', 'BNI'), ('bri', 'BRI'), ('mandiri', 'Mandiri'), ('visa', 'Visa')], max_length=50)),
                ('nama_pendonasi', models.CharField(max_length=50)),
                ('hp_email', models.CharField(max_length=50)),
                ('dukungan', models.CharField(max_length=500)),
                ('anonim_donasi', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='ReplyForum',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_forum', models.CharField(default='', max_length=50)),
                ('reply_forum', models.CharField(max_length=500)),
            ],
        ),
        migrations.CreateModel(
            name='RequestAdopsi',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_hewan', models.CharField(max_length=50)),
                ('nama_hewan', models.CharField(max_length=50)),
                ('nama_pengadopsi', models.CharField(max_length=50)),
                ('nomor_hp', models.CharField(max_length=14)),
                ('email_pengadopsi', models.CharField(max_length=50)),
                ('alamat_pengadopsi', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Testimoni',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nama_user', models.CharField(default='admin', max_length=50)),
                ('nilai_user', models.CharField(choices=[('0', '0'), ('1', '1'), ('2', '2'), ('3', '3'), ('4', '4'), ('5', '5')], max_length=50)),
                ('komentar_user', models.CharField(max_length=400)),
            ],
        ),
        migrations.CreateModel(
            name='FotoHewan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('foto', models.ImageField(upload_to='static/images/')),
                ('hewan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='user.Hewan')),
            ],
        ),
    ]
